VCF2FASTA(1)

NAME

vcf2fasta

SYNOPSIS

vcf2fasta options [file]

DESCRIPTION

Generates sample_seq:N.fa for each sample, reference sequence, and chromosomal copy N in [0,1... ploidy]. Each sequence in the fasta file is named using the same pattern used for the file name, allowing them to be combined.

OPTIONS

    options:
        -f, --reference REF     Use this reference when decomposing samples.
        -p, --prefix PREFIX     Affix this output prefix to each file, none by default
        -P, --default-ploidy N  Set a default ploidy for samples which do not have
                                information in the first record (2).
        -n VAL                  Set string value to output for missing calls
    Type: transformation

EXIT VALUES

0   Success

not 0
    Failure

SEE ALSO

vcflib(1)

OTHER

LICENSE

Copyright 2011-2023 (C) Erik Garrison and vcflib contributors. MIT licensed.

AUTHORS
Erik Garrison and vcflib contributors.